Package ghidra.program.model.util

# Interface LongPropertyMap

All Superinterfaces:
  `PropertyMap<Long>`

All Known Implementing Classes:
  `DBTraceProgramViewPropertyMapManager.DBTraceProgramViewLongPropertyMap`, `LongPropertyMapDB`

public interface LongPropertyMap extends PropertyMap<Long>
Property manager that deals with properties that are of long type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Address addr, long value)`
  Add a long value at the specified address.
  `default void`
  `add(Address addr, Object value)`
  Add a map-specific value type to the specified address
  `long`
  `getLong(Address addr)`
  Get the long value at the given address.
  `default Class<Long>`
  `getValueClass()`
  Returns property value class.

  ### Methods inherited from interface ghidra.program.model.util.PropertyMap

  `get, getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, hasProperty, intersects, intersects, moveRange, remove, removeRange`

- ## Method Details

  - ### getValueClass

    default Class<Long> getValueClass()
    Description copied from interface: `PropertyMap`
    Returns property value class.
    Specified by:
      `getValueClass` in interface `PropertyMap<Long>`
    Returns:
      property value class or null for an unsupported map type

  - ### add

    void add(Address addr, long value)
    Add a long value at the specified address.
    Parameters:
      `addr` - address for the property
      `value` - value of the property

  - ### getLong

    long getLong(Address addr) throws NoValueException
    Get the long value at the given address.
    Parameters:
      `addr` - the address from where to get the long value
    Returns:
      long property value
    Throws:
      `NoValueException` - if there is no property value at addr.

  - ### add

    default void add(Address addr, Object value)
    Description copied from interface: `PropertyMap`
    Add a map-specific value type to the specified address
    Specified by:
      `add` in interface `PropertyMap<Long>`
    Parameters:
      `addr` - property address
      `value` - property value or null (null remove value at address)